﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement
image janet = "janet.png"
image welsh = "welsh.png"
image winston = "winston.png"
image ponce = "ponce.png"
image esme = "esme.png"
image esme mean = "esme_concern.png"
image welsh mean = "welsh_mean.png"
image welsh future = "welsh_future.png"
image bates = "bates.png"
image edmund = "edmund.png"
#movie
image movie = Movie(size=(800, 600), xpos=100, ypos=50, xanchor=50, yanchor=100)

# backgrounds
image bg darkness = "darkness.jpg"
image bg bedroom = "bedroom.jpg"
image bg hallway = "hallway.jpg"
image bg classroom = "classroom.jpg"
image bg lunch = "lunch.jpg"
image bg stairs = "stairs.jpg"
image bg school = "school.jpg"
image bg night = "night.jpg"
image bg forest = "forest.jpg"
image bg light = "light.png"
image bg teleport = "teleport.png"
image bg nurse = "nurse.png"
image bg restaurant = "restaurant.jpg"
image bg dance = "dance.jpg"
image bg basement = "basement.jpg"
image bg festival = "festival.jpg"
image bg toilet = "toilet.jpg"
image bg nurse1 = "nurse1.png"
image bg nurse2 = "nurse2.png"
image bg nurse3 = "nurse3.png"
image bg dream1 = "dream1.png"
image bg dream2 = "dream2.png"
image bg portal = "portal.jpg"
image bg portal1 = "portal1.png"
image bg portal2 = "portal2.png"
image bg apartment = "apartment.jpg"
image bg black = "black.jpg"
image bg end = "end.png"
image bg game = "game.jpg"
image bg park = "park.jpg"
image bg yard = "yard.jpg"
image bg rose = "rose.png"
image bg winston1 = "winston1.png"
image bg winston2 = "winston2.png"
image bg welsh1 = "welsh1.png"
image bg ponce1 = "ponce1.png"
image bg hug = "hug.png"
image bg car = "car.jpg"
image bg ponce2 = "ponce2.png"
# characters
image janet = "janet.png"
image eileen = "eileen_happy.png"

# Declare characters used by this game.
define a = Character('Janet', color="#c8ffc8", image = "janet", window_left_padding=160)
define b = Character('Winston', color="#c8ffc8")
define c = Character('Mr.Ponce', color="#c8ffc8")
define d = Character('Welsh', color="#c8ffc8")
define e = Character('Edmund', color="#c8ffc8")
define f = Character('Bates', color="#c8ffc8")
define g = Character('Esme', color="#c8ffc8")
define h = Character('Unknown', color="#c8ffc8")
define m = Character('Mom', color="#c8ffc8")

image side janet = "side_janet.png"
image side blush janet = "side_blush_janet.png"
image side worried janet = "side_worried_janet.png"

# The game starts here.
label start:    
    
    scene bg darkness
    # Start the background music playing. 
    play music "dream.mp3"
    a "I've been having these dreams..with a guy. In my dreams, I recognize him as the guy of my dreams"
    a "I am deeply in love with him. But once I wake up...I don't know who he is"
    play music "cat.mp3"    
    a "Huh? Is that a black cat?"
    a "Why is there a black cat in my dream?"
    a "it's leading me somewhere..."
    a "................."
    # Start the background music playing. 
    play music "morning.mp3"
    # the scene changes
    scene bg bedroom with dissolve
    show janet 
    a " *Wake up* Yawn! My first day at Warner High School. I am one month late to enter, but I will manage."   
    a "Also, I have a mission to find that guy of my dreams. I know he is real. I just do.."
    # the scene changes 
    scene bg school with dissolve    
    a " This looks like a big school. Will I fit in? At my previous school I was not lucky.."    
    a " ...this certain person wouldn't stop bulling me and..."
    b "So you decided to run away and transfer schools, huh?"
    a "..........."
    show winston
    b "Don't think you can escape from me so easily, pompous womp."
    a "Winston! Why are you here? And how you know I would transfer here? *Pompous what?!*"
    b"It's not hard  when you have connections. Now that I attend this school with you.."
    b"I will not let you out of my sight.."
    # the scene changes
    scene bg winston1 with dissolve
    a"Winston!..What are you trying..to do?"
    b" You are quite the eye sore. Why did you transfer anyways?"
    a " You are one of the reasons why, Winston! You wouldn't stop bullying me!"
    b "You call it bullying. I call it teaching you a lesson."
    a "What? I didn't even do anything bad to you! I don't understand why you keep bothering me!"
    b "Hmp...I hate how clueless you are."
    a "Huh?...."
    a "What..are you trying to do?..."
    a "{size=34}Dont!.."
    c"Hey you two!"
    # the scene changes
    scene bg school with dissolve
    show ponce
    c" You two look like new students. What the hell are you doing infront of the school?"
    a "Oh no..is he a teacher?"
    b "Mind your own business old man."
    c "Excuse me, but I'm a teacher at this school. I demand more respect. Now you both rush to class before.."
    a "Yes! We're sorry, it will not happend again.."
    a "*hope not*!"
    # the scene changes
    scene bg hallway with dissolve
    a "Augh, that was terrible, I almost got in trouble on my first day because of that idiot bullie."
    show edmund at right
    show bates at left
    e "Hey, you must be a new girl, haven't seen you around. What's your name?"
    a "Uh...Janet.."
    e "Hi, my name is Edmund and this guy is Bates."
    f "You seem lost, do you need help finding your classes?"
    a "Umm, yeah, that would be great."
    e "Oh! You have History with us at A-5. Why don't we walk together?"
    a "Really? Hope it's no problem."
    f "It's fine, besides...we noticed that many girls have been looking sour at you."
    a "Huh?"
    e "Yeah, you attract attention from girls and we got worried they might start bulling you so.."
    a "*Great...I already have experience with that from my other school.*"
    a "Thanks for worrying about me..I dont know what you want in return.."
    e "We could use a gal in our group. Well, it's just Bates and me. What do you say?"
    a "*Wow! Already made two friends on my first day?* Okay!"
    e "Great! Let's go."
    # the scene changes
    scene bg classroom with dissolve
    a "*I feel much more better. I have two friends who can protect me from bad people and..*"
    c "Okay class, everyone settle down and open your History books."
    a "Huh? That voice.."
    show ponce at left
    a "*Holly crap! That's the same teacher who caught me this morning! Hope he doesn't notice me..*"
    c "Ah, the new girl who does not know the difference between an hotel and a school."
    a " *What the Hell? Why would he say that in front of the whole class! Even Edmund and Bates are staring.*"
    show winston at right   
    b "Sorry I'm late..got lost."
    a" *Damn it, he is in this class too*?"
    b"Hey pompous womp, hope this seat is not taken,"
    a "Don't sit next to me! You'll get me in more trouble."
    b "Who cares what you think? I'm sitting here because I want to.."
    d "The girl said she doesn't want to sit with you."
    a "*Huh? Who?...*"    
    show welsh with moveinright     
    d " Besides, this is my seat. *sits next to Janet*"
    b "Hmp...Whatever."
    hide winston
    a"*This guy, did he tried to defend me or..*?"
    d " Sorry about that. I noticed he was bothering you so I couldn't help myself."
    d "My name is Welsh, and you?"
    a "Janet..thank you about that.."
    a "*Wow...he seems so sweet and caring..also..he looks sort of familiar...*"
    c "Everyone be quiet and start reading the chapters you booger-eating kids!"
    a "*Augh, I hate this teacher already, hopefully I can change class.*"
    # the scene changes
    scene bg lunch with dissolve
    a "What a bi-polar day. But now I can eat and dissolve my stress."
    a "Oh, there's Edmund and Bates, I'll sit with them."
    b "Move pompous womp."
    show winston
    a "Stop calling me that, I'm not sure what that means but it sounds ridiculous."
    b " You got lucky at class, but right now.."
    show welsh with moveinright
    d " Oh hey again. Hope I'm not interrupting your rude face again."
    show winston with moveinleft
    b " This guy....I'm seriously going to punch you one day."
    a "Hey Welsh, do you want to sit with us?"
    d "Are you sure?...You barely know me, but I would love to."
    b " Are you two ignoring me now?!"
    a "Shut up Winston and sit with us too."
    b "......augh....."
    # the scene changes
    scene bg hallway with dissolve
    a "I'm glad school is over. But It was nice for a change."
    a "'Meaw'...'Meaw'"
    a "Huh?"
    a "Why is there a black cat here at school?.."
    a "Now that I look closely..he looks like the cat from my dreams! Can it be a clue to find my dream guy?!"
    a "That would mean...my dream guy...might go to this school!"
    # This happens at the end of the intro.
    # Janet watches as the black cat walks into a hallway.
    a "Should I follow that cat or avoid any kind of trouble on my first day?"
    
    menu:
        "Follow the black cat.":
            scene bg stairs with dissolve
            a "There's a door at the end but it's locked. No surprice there."
        " Ignore and go home.":
            a "I have a bad feeling. I should go home instead."
    a "Tomorrow should be a better day...hopefully."
    # the scene changes
    scene bg bedroom with dissolve
    a " Have to get ready for school. Hope I have a normal day..for once."
    # the scene changes
    scene bg school with dissolve
    a "Ah, there's Edmund and Bates, they seemed sort of excited this morning."
    a "That's weird for a Tuesday morning."
    show edmund at right
    e "Goodmorning Janet!"
    show bates at left
    f "Hey."
    a "Morning. What's the big commotion?"
    e "Glad you asked! This Friday, the school is hosting a festival and we are volunteering."
    f "Do you want to help?"
    a "A festival? Well...I don't know, I'm not a fan of crowds."
    e "Well, instead of helping us in our booth, you can hang out instead and enjoy."
    e "Or a get a date if you want."
    a "*DATE?!"
    f "He's joking. You don't have to."
    a "The bell is ringing. I better go, bye."
    # the scene changes
    scene bg hallway with dissolve
    a "If I go to the festival, I could have fun for once.."
    show welsh
    d "Goodmorning. I almost bump into you."
    a "Welsh..."
    d "See you at History class."
    a "Umm.."
    
    menu:
        "Thanks a lot for saving me yesterday.":
            a "Thanks a lot for saving me yesterday."
            d "It's no problem really. I just got pissed that some idiot would treat you that way."
            a " Well, he was my bullie from my previous school."
            d "No kidding? So he followed you to this school?"
            a "I guess..."
            d "Mmmh..Then I hope you don't mind is I can protect you from him from now on."
            a "Umm..You don't have to.."
            d "Hey, there's a festival this Friday. Do you want to hang out with me?"
            a "Like a ....date?..."
            d "If you want to call it that, I'm fine with it."
            a " Umm...Can I think about it first?"
            d "Sure. Tell me after-school."
            a "Okay...bye..."
            # the scene changes
            scene bg classroom with dissolve
        "Okay. Bye.":
             # the scene changes
             scene bg classroom with dissolve
    a " One of the first ones to arrive early, hope I don't.."
    a "*BUMP*"
    c " Watch your step!"
    a "Gasp! Mr. Ponce...*shit! I spilled his coffee on his sweater*"
    show ponce
    c "Well you don't stop surpricing me, Ms Janet. "
    a "I'm sorry...but it was an accident.."
    c " I have the authority to give you detention if I want to, you know."
    a "*what a snotty teacher..*"
    c "But I am a man who forgives so I will give you a week of cleaning duty after-school."
    a "A week?! I said I was sorry! *I hate him so much!*"
    c "Don't be ungreatful or I'll add you another week."
    a "Is there anything else I can do instead of that?"
    c "Well, there's the school festival this Friday. You can help me on duty and use you as my gopher."
    a "*gopher?!*...."
    c "It's up to you."
    a "......."
    # the scene changes
    scene bg hallway with dissolve
    a "Well, this sucks...Mr. Ponce is just screwing me over just because he though I was whoring around with Winston."
    b "What about me you pompous womp?"
    show winston
    a " Do you always snoop around other people's thoughts?"
    b "Shaw up! I heard you talking about me..So I got interested."
    a "Hmp. Well I have to go."
    b "Wait."
    a "......."
    b "Are you busy this Friday?"
    a "Umm..maybe. Why?"
    b "Go with me to the festival."
    a "Huh?! Why should I?"
    b "Because if you don't, I'll kidnap you and make you regret it."
    a "I might have things to do that day..besides, why don't you ask some other girl?"
    b "Because you're a pompous womp."
    a "......."
    a "That makes no sence."
    b "Whatever...just tell me your answer after school."
    hide winston
    a "uh...... *He left already*"
    a "This is so weird...Welsh invited me and Winston is demanding me to go with him.."
    a "Plus that abusive teacher wants to punish me for some stupid coffee."
    a "What should I do for the festival?"
    
    
    menu:
        " Help Mr. Ponce.":
            a "I guess I prefer to help that sadist teacher instead of a week of cleaning."
            # the scene changes
            scene bg classroom
            show ponce
            c " Have you decided on your torment?"
            a "That's a weird way to say it..but I decided to help you on Friday."
            c "Good choice. The school give me weird jobs and I can't handle events really well."
            c "If you could'nt help me, I would have asked the nurse lady for help."
            a "umm...okay. Well, bye."
            c "Be safe on your way."
            # the scene changes
            scene bg school 
            a "Well that was weird..Mr. Ponce is such a sadist person, hope he has a different attitude at the festival."
            # the scene changes
            scene bg night with dissolve 
            # Start the background music playing.            
            a "Well, the festival should be around the corner.."
            play music "people.mp3"
            # the scene changes
            scene bg festival 
            a "So beautiful.."
            show ponce at right
            c "Glad you made it in time. Stop wandering around and help keep the festival in order."
            a "okay.....*jerk*"
            g "Hello, you must be Mr. Ponce's little helper, Janet."
            show esme 
            a "Hi...umm.."
            g "I'm the school nurse, Esme. I decided to help Mr. Ponce last minute."
            a "Nice to meet you."
            c " What shift do you want to take Esme?"
            g " I can be with you if you want..*blushes*"
            a "* She is blushing for that monster. What does she see in him?*"            
            c " I think you can stay at the game area or supervise with me."
            a "I though Esme would be with you.."
            c "It's up to you."
            a "umm..I think I should stay with you since I have no idea how to supervise."
            c "Fine. Just try not to cause any problems to me."
            # the scene changes
            scene bg night with dissolve
            play music "dream.mp3"
            a " The night is really black and cold. The festival looks fun but I'm stuck with a horrible person instead."
            a "But the whole time, I've been getting shivers. Not because it's cold, but because.."
            a "I been having a bad feeling."
            a "'Meaw' 'Meaw'"
            a " No way..the black cat is here at the festival. Is that a clue?"
            a "I guess I can sneak on Mr. Ponce and follow it while I can."
            # the scene changes
            scene bg forest with dissolve
            a "Why is the black cat running this far into the forest?"
            d "Janet!"
            a "Huh? Welsh?"
            show welsh
            d "Why are you running all the way over here?"
            a "How you know?..."
            d " I saw you from the festival running into the forest and I got worried. Are you okay?"
            a "Yeah..I'll get back soon.."
            a "*TRIP* Ahh..."
            # the scene changes
            scene bg hug with dissolve
            d "Got you. Are you hurt?"
            a "Yeah...Ummm..*Why is he holding me really tight in his arms?..."
            a "*This is such a weird feeling..but I don't want him to let me go..*"
            d "Janet.."            
            a "Welsh...."
            d "Yeah?.."
            a "Ummm...."
            c "What are you two...? Janet?"
            #the scene changes 
            scene bg forest with dissolve
            a "Mr. Ponce?!"
            show ponce at right
            show welsh mean
            c "Caught you fooling around again..now with a different boy. Aren't you ashame?"
            a "......I...can explain."
            c "I'm going back to the festival. Prepare for your punishment on Monday."
            hide ponce with moveinright
            d "...So you were fooling around..with some other guy?..."
            a "Welsh! I know he said that, but it's a misunderstanding.."
            d "I'll walk you back to the festival, but I'll be leaving soon."
            a ".....Okay..."
            a "*I can't believe my luck. Mr. Ponce caught me twice and now he thinks I'm more than a whore. My stomach hurts.*"
            a "I feel horrible showing Mr.Ponce that kind of image...I...don't know what to do now. I don't want Monday to come."
            # the scene changes
            scene bg bedroom with dissolve
            a "Finally home. better go to sleep, I really have to forget tonight's drama."
            # the scene changes
            scene bg light with dissolve
            a "Am I dreaming...?"
            # start the background music playing
            play music "torment.mp3"
            # the scene changes
            scene bg darkness with dissolve
            a "He is here! The guy of my dreams. We are holding each other. He is really sweet with me.."
            a "I love him so much. I want to remain here with him..forever."
            a "'Meaw' 'Meaw'"
            a "The black cat..why does it keep coming? Does it want us to follow him?"
            # the scene changes
            scene bg stairs with dissolve
            a "We are going down the basement..Why is the cat leading us here?"
            h "Le't go into that door. Aren't you curious?"
            a " Wait! I have a bad feeling..."
            h "Come on. I'll hold your hand if you're too scared."
            a "Okay.."
            # the scene changes
            scene bg teleport with dissolve
            # Start the background music playing.
            play music "scream.mp3"
            a "AAAAAHHHHHHHHHH!!!{size=34}"
            # the scene changes
            scene bg bedroom with dissolve
            # Start the background music playing.
            play music "morning.mp3"
            a " Gasp! It was just a dream!"
            a "My dream guy was there..but..it was a nightmare too."
            a "I should get ready for school."
            # the scene changes
            scene bg school with dissolve
            a "I'm late..but I don't want to go to History class and face Mr. Ponce."
            
            menu:      
                "Should I skip class and hide somewhere?":                    
                    a "If I skip, I need to hide somewhere. Maybe fake that I'm sick."
                    # the scene changes
                    scene bg nurse with dissolve
                    show esme
                    g "Oh, Hi Janet. Are you feeling all right?"
                    a "Uh..my head hurts a bit."
                    g "Don't worry. You can lay down for a bit if you want. When I have a slow day, I usually lay down and sleep."
                    g "It helps!"
                    a "Okay. Thank you."
                    g "So...Valentines day is near. Do you have any plans?"
                    a "I don't keep track of the calendar. I guess I don't have any plans"
                    g "How depressing. I was hoping to go out with someone for dinner.."
                    a "*Why is the nurse lady telling me her personal life?...It's obvious she is thinking of Mr.Ponce...that monster.*"
                    a "Well good luck. I'm laying down now."
                    g "Okay. Rest well."
               
                "I should just go to class and hope Mr. Ponce is in a good mood.":
                    # the scene changes
                    scene bg classroom with dissolve
                    show ponce
                    c "Nice of you to show up.."
                    a "*What's with the sarcass? Is he trying to make me feel bad?*"
                    c "And by the way Ms. Janet, stay after class to do some errands for me."
                    a "Errands? Now I'm your gopher again?"
                    c "Well if you want me to keep my mouth shut to the principal, yes."
                    a "*GULP. He is blakmailing me now...*"
                    hide ponce                    
                    e " Hey Janet. What's up?"
                    show edmund
                    a "Oh hey..where's Bates?"
                    e "He got sick, I guess It's just you, Winston, Welsh and me."
                    a "Oh..*Welsh..he also got upset with me, I haven't seen him either*"
                    e "By the way...do you have a date for Valentine's day?"
                    a "Valentine's?...Ummm..no..I don't want to deal with 'dates' at this moment."
                    e "Well, if you require some company, I'm always around."
                    a "Umm..sure. I'll keep that in mind."
                    # the scene changes
                    scene bg hallway with dissolve
                    a "Valentine's huh? I don't want the same thing to happend like the festival thing."
                    a "*Push* Hey...watch were you're.."
                    show winston
                    b " Shut up pompous womp.You got on my way."
                    hide winston with moveinleft
                    a "*Shessh. Why is he in a bad mood?...maybe because I rejected his invitation for the festival?*"
            
            # the scene changes
            scene bg hallway 
            show edmund
            e "Hey Janet! Got a minute?"
            show edmund
            a "Hey, what happend?"
            e " Just wanted to let you know that me and Bates are in a Cupid Club and wanted your help for Valentine's day."
            e "Unless you have plans.."
            a "What kind of help?"
            e "Well our club will deliver roses to people at school, either from secret admirers or lovers. Do you want to help and deliver?"
            a "Umm..sure. I have no plans that day."
            e "Great! I'll give you the details tomorrow. Bye!"
            a "Bye."
            # the scene changes
            scene bg bedroom
            a "Glad that day was over. I just don't want to show my face to Mr.Ponce again..."
            play music "dream.mp3"
            # the scene changes
            scene bg darkness with dissolve
            h "There you are my love"
            a "It's him...He's calling me.."
            a "Where is he? He was right there just a minute ago."
            h "Don't get near that thing! It's dangerous!"
            a "Huh? What's dangerous?"
            # the scene changes
            play music "scream.mp3"
            scene bg teleport            
            a "AHHHHHHHHHH!!!!!"
            # the scene changes
            scene bg bedroom with dissolve
            play music "morning.mp3"
            a "This dream again..I keep getting confused."
            # the scene changes
            scene bg school with dissolve
            a "There's something going on today at school. But I forgot.."
            a "The students are giving out chocolates...."
            a "GASP! Today is Valentine's day?"
            show edmund at right
            show bates at left
            e "Don't tell me you forgot Janet."            
            f "Are you helping out?"
            a "When are you delivering?"
            e "It's during lunch."
            a "Then I guess I can.."
            e "Great. See you then."
            # the scene changes
            scene bg hallway with dissolve            
            a "I'm not too excited about Valentine's..Besides, I no longer talk to Welsh after the festival so I don't know who to give chocolates to."
            b "What are you doing just looking stupid in the hallway?"
            show winston
            b "I heard you're helping Edmund and Bates with their Cupid Club...sounds so stupid.."
            a "They are your friends too, aren't you helping out too?"
            b"If I can torment you..maybe."
            a "....."
            a "I have to go...bye."
            # the scene changes
            scene bg classroom with dissolve
            show ponce
            c "You all know the drill. Start reading."
            a "*Mr. Ponce looks calm today..He didn't insult the class as usual. That's good, right?*"
            a "......"
            a "*For some reason, I can't stop staring at him. I'm scared of him, and ashamed..but also..*"
            a "*shit! He caught me looking at him...How embarrazing...*"
            c "Keep your eyes on your books everyone."
            a "*Crap...He meant me..*"
            # the scene changes
            scene bg lunch with dissolve
            show edmund at right
            show bates at left
            e "Come Janet. We have the things over here. Each item has the room number for that person."
            a "I guess I'll be delivering the roses."
            a "I'll deliver the chocolates."
            f "And I'll do the toys."
            # the scene changes
            scene bg hallway with dissolve
            a "How exhausting. Almost done. I just need to deliver this last rose."
            a "The room number is .....A-5..."
            a "Huh? That's Mr. Ponce's class."
            # the scene changes
            scene bg classroom with dissolve
            show ponce
            c "What are you doing here during lunch, Ms. Janet?"
            a "Ummmm..*scared*..I believe this rose is for you."
            c "......."
            c "You're giving me a rose?"
            a "Not from me of course!!! Don't get the wrong idea."
            c "Mhh..this is from Esme.."
            a "*Oh. The nurse lady...But he doesn't look too excited or happy.*"
            a "Well, my job here is done, I'll be leaving.."
            c "Wait."
            a "....."
            c "I'll be giving this to you."
            # the scene changes
            scene bg rose with dissolve
            a "The rose from...the nurse lady?....but why..?"
            c "I can't accept a rose by someone I don't have feelings for."
            a "...What should I do with this rose then?"
            c "Keep it. As a Valentine's gift. Now leave."
            a "......."
            # the scene changes
            scene bg hallway with dissolve
            a "That was so strange...I though he hated me..yet..he sounded so sweet when he gave me the rose."
            a "He was gentle...to me..*blush*"
            a "What should I do with this rose? I can't let the nurse lady see it."
            b "Pompous Womp!"
            show winston
            b "Are you done witht the club activities?"
            a "yeah...why?"
            b "Let's go to the roof. I found a lighter. Let's burn ants or something."
            a "Are you four years old? That's prohibit at school you know."
            b "So? Some teacher was smoking with this lighter and dropped it. Come on."
            a "No, you'll get me in trouble."
            show welsh at right
            d "What are you doing to Janet now you creep?"
            b "Shut up. Mind your own business jackass."
            d "Is that a lighter? That's dangerous for a kid like you to have."
            b "Keep saying that and I'll burn your hair bald!"
            a "Winston, stop. Dont play with it!"
            b "You shut your trap or...."
            b "SHIT! My shirt is on fire!!"
            a "What?! Winston I told you not to play with it."
            d "You dumb-ass.."
            a "Quick!...The emergency alarm!"
            play music "bell.mp3"
            d "Janet don't...!!"            
            b "Thank God the sprinklers saved my ass."
            a "The whole building is wet. Hope the teachers don't....."
            c "WHAT'S THE MEANING OF THIS MESS?"
            a "Oh-Uh..."
            # the scene changes
            scene bg classroom with dissolve
            play music "morning.mp3"
            show ponce            
            c "The principal had no other choice but for you three to have Saturday school. So this Saturday, you'll be coming to class."
            c "And i'll be supervising for eight hours. Got it?"
            a "...yes..."
            b "......"
            d "sure."
            # the scene changes
            scene bg bedroom with dissolve
            a "This sucks. I got in trouble again because of Winston ....again."
            a "Hope nothing bad happens that day."
            # the scene changes
            scene bg school with dissolve
            a "Well now I'm here..On a Saturday. That sucks."
            # the scene changes
            scene bg classroom
            show ponce
            c "Okay you three. I don't want to be here on a Saturday like you, so make things easier for me you filthy brats."
            c "So for the next hours, you three must read this book and write a summary for every chapter."
            c "I'll be at my office if you need help but all I will do to help you is call you a 'dumb retard'"
            c "Understood?"
            a "......."
            b".....hmp"
            d ".....okay.."
            a "Wait. But what if we have to use the bathroom?"
            c "You would need a hall-pass, here."
            a "*reach*.....*Oh..I toched his hand by accident..he is really cold. But why am I...*"
            a "*blushing?....*"
            c "I'll be leaving now. Behave or you'll suffer the concequences."
            hide ponce with moveinleft
            show winston at right
            b "I seriously hate that teacher. Why does he still hold a job here at a school?"
            show welsh at left
            d "Just be quiet so we can finish this stupid assignment. It's your fault we're here. Right Janet?"
            
            menu:
                "Right. I told it was dangerous to play with that lighter.":
                    b "So you blame everything on me you pumpous womp?!"
                    a "well...."
                    b "This is why you got bullied on our previous school. Such an idiot womp."
                    d "Hey, stop insulting Janet. She had nothing to do with this."
                    b "Hmp."
                " Let's just stop arguing before Mr. Ponce comes and get us to read more.":
                    b "I'll take that as a 'I take your side Winston' ,see that Welsh?"
                    d "She just said that so you can shut up."
                    b "One day, Welsh-gayish...one day."
                    d "Wow, you have a way with words. You should be a poet."
            c "Can you guys shut up?! I can hear you three from across the hall, lousy retards."
            a "*Sign...*"
            a "Well, I'll be taking the hall pass now. I'll be back."
            # the scene changes
            scene bg toilet with dissolve
            a "This is horrible...I can't concentrate with the assingment with those two arguing every five minutes."
            # the scene changes
            scene bg hallway with dissolve
            a " 'Meaw' 'Meaw'"            
            a "Huh? The black cat?....Now of all times? "
            a "Everytime I chase after it, I get in trouble...but...I can't help it."
            a "It might lead me to my true love."
            h "Daffodile? Daffodile? where are you?"
            a "Huh? The nurse lady"
            show esme
            g " Oh, Janet. What are you doing here? You have Saturday school?"
            a "Yes..but why are you here? We're suppost to be the only ones here."
            g "Umm..Well..You never know when someone can get hurt. Right?"
            a "That black cat. Is it yours?"
            g "Ah yes. Her name is Daffodile. She has been living here at school for more than ten years. I just feed her."
            a "Ten years? Wow..That's a while. You went to this school?"
            g "Yes, I went here with my brother and even...Mr. Ponce ten years ago."
            a "Mr. Ponce?...*Don't tell me she has been in love with him since high school?*"
            g "it's been a while but...Mr. Ponce had his heart...for someone since high school..Even now, he can't stop loving her"
            a "*...Mr. Ponce is in love with someone?...since high school too?....That is so..unrealistic..*"
            a "*Why is my heart aching?...I shouldn't care who he loves or not....I shouldn't..*"
            g "Huh? Janet, are you feeling alright? You look pale.."
            a "Umm..yes, I'll be okay."
            g "Come with me. I have some pills for headaches, it might help you."
            a "okay..."
            # the scene changes
            scene bg nurse with dissolve
            show esme
            g "Here, swallow this with water."
            a "Okay...thanks. *gulp*"
            g "Feeling better now?"
            a "Yes. Thanks a lot. I'll be going back to the classroom.."
            a "huh..."
            a "I feel..."
            a "Dizzy...."            
            # the scene changes
            scene bg nurse1 with dissolve
            # the scene changes
            scene bg nurse2 with dissolve
            # the scene changes
            scene bg nurse3 with dissolve
            a "*DROP*"
            play music "dream.mp3"
            # the scene changes
            scene bg darkness with dissolve
            h "Hey! Where have you been? I've been looking for you."
            a "Huh, this time is not my guy of my dreams..it's someone else. Someone else.."
            h "I need your help. I'm making something important. It's my new project. Do you want to see?"
            a "Huh..project?..."
            # the scene changes
            scene bg stairs with dissolve
            h "It's down here. Follow me."
            a "The stairs...where.." 
            #the scene changes
            scene bg light with dissolve
            a "I'm..waking up. Huh?..Why can't I move my body..My hands are.."
            h "Are you awake now?"
            a "Huh?"
            # the scene changes
            scene bg basement
            a "Where am I..What's this place?"
            h "It's the school basement. It's usually locked but I only have acess to it."
            show esme mean
            g "It's our secret!"
            a "....Esme....why?..Why did you strapped me in a chair? Let me Go!!."
            g "It's a problem you can't remeber.Camilla.."
            a "Huh? Who's..Camilla?...."
            h "JANET!! JANET! Where are you?!"
            a "Gasp*....That's..."
            show welsh mean at right
            d "What...what is going on here?!"
            a "Welsh!! Thank God you're here! Please help me out of here!"
            d "Esme...why.."
            g "Welsh..I..just couldn't wait any longer..."
            d "........"
            d "Fine."
            d "Then it's time."
            a "Huh!...Welsh...What's going on?..."
            d "Janet...no..Camilla. Are you ready to...remember?"
            a "What?! Welsh, what are you doing? Take does wires off my head! "
            d "This will help you remember..Camilla."
            a "Stop calling me that!! My name is Janet!!"
            # the scene changes
            scene bg teleport
            a "AHHHHHHHHHHHH!!!!!!"
            # the scene changes
            scene bg darkness with dissolve
            play music "heart.mp3"
            a "Why..am I dreaming at a time like this...Huh? There's someone else here..."
            # the scene changes
            scene bg dream2 with dissolve
            a "Someone..My dream guy. He's here! I can see him.."
            # the scene changes
            scene bg dream1 with dissolve
            a "Huh!?!"
            a "Mr. Ponce."
            # the scene changes
            scene bg light with dissolve
            a "Mr. Ponce...No...."
            a "Russell...."
            play music "torment.mp3"
            # the scene changes
            scene bg basement with dissolve
            show esme mean at left
            show welsh mean at right
            a "What..happend to me..why do I suddenly remember?"
            a "* Now I see it. Esme..she was my best friend. She's the one who showed me this basement before and her project."
            a "* And...Welsh..No..Gregory, I remeber he looked different. Like a geek with glasses, and he is Esme's brother...and Russell..*"
            a "* He was my boyfriend...We chased after the black cat one day and there was an accident..*"
            d "Glad you're back Camilla. I can't take my revenge if you can't remember what you did."
            a "Revenge?...why?"
            d "Maybe your head can't process all your memories, but one day..you and your stupid boyfriend Russell came to this basement once.."
            d "Esme and Me didn't notice you coming since we were busy on our project."
            g "A time machine. That day, I was testing it, and when it was on.."
            d "YOU PUSHED ME INSIDE. I took you with me and we both travelled to the future."
            a "Oh...I remeber that part but...there's a reason why.."
            d "Shut up!! I was in love with a girl back then, and we were suppost to meet afterschool. I couldnt go..and.."
            d "..She got mugged and killed while waiting for me.."
            d "If it weren't for you..She wouldn't be...Agh! So I wanted to get my revenge by hurting your love one too."
            d "Since you had no memory, I wanted to make you fall for me infront of Russell, and hurt him."
            d "But this other jerk was a barrior so it got complicated. But now you remember, so I will send you to the future ten more years and let's see if Russell.."
            d "Can wait ten more years for you."
            a "..*No way...Russell waited for me..for ten years. No wonder he was mean to me...he caught me with Winston and Greg..he was jealous..*"
            g "The machine is ready Greg."         
            d "Right. Are you ready Camilla?"
            h "WAIT!!!!!"
            show ponce
            c "I heard everything..your plans..but there's an explanation..Esme...Greg.."
            a "Mr.Ponce...Greg...."
            c "Camilla..I'm glad you remeber me..It was painful for me..waiting ten years and seeing you with other guys..."
            d "Enough! *Pulls gun* You will witness your lovely girl time travel ten more years. Can true love wait that long again?"
            c "Greg, that day..when Camilla and me sneaked into the basement, we saw what you two were doing."
            c "But at that time, there was a cut wire next to you..Camilla noticed it, and when you were about to step on it..she pushed you in order to protect you."
            c "The wire shocked Camilla instead on her head and while she time travelled..she lost part of her memories..."
            c "So it was all an accident Greg. Please believe me."
            d "......."
            d "That explanation can't return my love to life can it? I don't care what really happend. I want Camilla to lose her love too."
            a "Wait! Don't do it!!"
            d "Esme, put Camilla into the machine."
            # the scene changes
            scene bg portal
            show welsh mean
            g "......"
            d "Esme?.."
            d "*PUSH*"
            g "I'm sorry borther...I've been following your orders and I can't hurt my best friend and Greg any longer."
            g "I'm not sure if it would work..but I'll try to send you back...into the past brother."
            d "NNNOOOOOO!!!!!!"
            # the scene changes
            scene bg portal1
            # the scene changes
            scene bg light
            # the scene changes
            scene bg portal with dissolve
            a ".......He...Greg...he's gone...Did he really traveld to the past?..."
            g "I.....I don't know..."
            g "Oh no!! The machine is over-heated...If we don't get out of here.."
            c "Camilla!! Let me release you from that chair!"
            a "Hurry Russell!!"
            g "It's too late!! The machine..!!!!"
            # the scene changes
            scene bg portal2
            play music "bomb.mp3"
            g "IT'S GOING TO EXPLOTE!!!"
            # the scene changes
            scene bg light with dissolve
            play music "dream.mp3"
            a " Mr. Ponce....I was slowly falling for my teacher..and in the end, he ended up being my boyfriend ten years ago."
            a "With memory or not of him...I would have still fallen for him..."
            a "So this is true love.."
            # the scene changes
            scene bg bedroom with dissolve
            play music "morning.mp3"
            a " Huh? Since when did I?...Who took me here?..."
            m "Oh! Janet! I'm glad you're awake! I was getting worried."
            a "Mom?...What happend?..."
            m "Janet...Some man brought you home and you were unconscious.."
            a "......"
            a "Mom...I..My name is not Janet...My name is.."
            a "Camilla.."
            m "So...That's your real name?...."
            a "Huh? What do you mean?"
            m "Sign*"
            m "I wanted to tell you sooner..but...I adopted you..I named you Janet."
            a "What? Then my real parents.."
            m "You have no background record. You might still have no memory of your true family. You were found with no memory..So I.."
            a "*The machine must have droped me unconscious..*"
            m "I took advantage of your memory loss..I'm sorry Jane...Camilla."
            a "It's okay. You are still my mom. I love you."
            m "I love you too."            
            # the scene changes
            scene bg school with dissolve
            a "Huh? School is closed...could be because of the...explotion?"
            a "I wonder if Esme and Mr. Ponce are fine.."
            show ponce
            c "Hello...Camilla..."
            a "Mr. Ponce...um...Russell.."
            c "The school is under construction because of the explotion. So no school for a week. Dont worry, your friend Winston didn't even notice the explotion."
            c "So he's fine."
            a "Oh..."
            c "Camilla, come...we need to talk.."
            a "......Okay.."
            # the scene chages
            scene bg apartment with dissolve
            show ponce
            c "Get confortable."
            a "*Wow...He lives in a cool apartment...All this for himself?...*"
            c "Would you like some water?"
            a "Umm..no thanks.."
            c "Well...First of all, I'm glad you're okay and...if everything is all right with your..head."
            a "*Still not right with words.*"
            c "If I have to remind you, we used to date ten years ago. But it's up to you if ..."
            a "*What is he trying to say? Maybe he doesn't love me after ten years..and wants to end things..*"
            c "Camilla..."
            c "I still love you. I never stopped loving you."
            a "*Mr. Ponce....my heart is going to..explote after hearing those words...am I getting a fever?...I'm sweating so much*"
            c "Maybe your feelings towards me have changed over the years..or the loss of memory faded your feelings.."
            c "So..."
            c "Do you want to be with me again Camilla?"
            a "*Oh my God...I can't believe that the teacher I hated so much is confessing and asking me out..*"
            a "*But is it fine for me to date a man ten-years older than me?..We would have to hide our relationship at school.."
            a "*What should I do? What's my respond?...*"
            menu:
                "I also have feelings for you too. I would love to be with you again Mr. Ponce":
                    play music "piano.mp3"
                    a "I love you Mr. Ponce..After hearing you say those words..My heart almost jumped out of me..I.."
                    c "Camilla..."
                    c "But now that we have a new relationship..Do you still want me to call you Camilla, or Janet?"
                    a "We originally fell in love when I was Camilla, I want to remain the same girl for you."
                    c "Very well..Camilla."
                    # the scene changes
                    scene bg ponce1 with dissolve
                    c "Let's be together forever. This time, I won't let you go.."
                    a "Mr. Ponce...Thank you..for waiting for me."
                    c "I love you."
                    # the scene changes
                    scene bg light with dissolve
                    c "Camilla.."
                    # the scene changes
                    scene bg end with dissolve
                    a "The End"
                "I don't know...I have feelings for you too, but I can't date a man ten-years older than me..":
                    play music "piano.mp3"
                    c "Oh..I see.."                                       
                    a "I am really confused with my feelings..when I thought you were only my teacher..I felt..something for you.."
                    a "But I just never imagined you as my boyfriend."
                    c "That's understandable..You fell in love with me when I was young, but now..."
                    a "Mr. Ponce...I feel awful.."
                    c "Camilla..It's fine..Just..can I just have one last kiss? I waited for you for ten years..and I've been dying for your lips."
                    a "Of cource."
                    # the scene changes
                    scene bg ponce1 with dissolve
                    c "I love you...I don't want to let go but.."
                    a "Mr. Ponce..."
                    # the scene changes
                    scene bg apartment with dissolve
                    show ponce
                    c "Well it's time to say goodbye."
                    c "I'll walk you home."
                    a "Okay.."
                    a "* I feel horrible...I just rejected Mr. Ponce..will he ever forgive me?*"
                    # the scene changes
                    scene bg bedroom with dissolve
                    a "What a day...My life is full of drama. Hopefully when school starts, I can have a more normal life."
                    # the scene changes
                    scene bg dark with dissolve
                    a "Goodnight."          
                    # the scene changes
                    scene bg end with dissolve
                    a "The end"
                                   
                      
               
             
        "Go with Welsh":
            a " I feel comfortable around Welsh, I would rather have my first date with him."
            a "Ah, Welsh is at the end of the hall..I should give him my answer.."
            show welsh
            d "Hey Janet. Glad school is over for today?"
            a "Yeah..Umm listen, I decided to go with you to the festival..as friends...on a date that is.."
            d "That's great! I'm glad you want to be with me..at the festival."
            a "So..it's a date.."
            d "yes...as friends...no big deal"
            a "bye...*blushes*"
            d "bye!"
            # the scene changes
            scene bg night with dissolve
            # Start the background music playing.
            play music "people.mp3"
            a "Welsh told me he would find me at the festival..but..where should I wait?"
            # the scene changes
            scene bg festival with dissolve
            a "I'm here..so.."
            show welsh
            d " Hey! I told you I would find you. You look nice."
            a "Umm..Thanks. So what do you want to do meanwhile?"
            d "We can eat and I saw some games we can play. What do you want to do first?"
            menu:
                "I would like to eat first.":
                    d "Okay. Let's go"
                    # the scene changes
                    scene bg festival with dissolve
                    show edmund at right
                    show bates at left
                    e "Hey Janet, Hey Welsh. On a date or something?"
                    a "Hey. We're just hanging out as friends. So your serving food?"
                    e "Yeah. Bates makes me volunteer for club activities, I wish I hang out with you too Janet."
                    d "Well too bad, she's my date now."
                    a "*DATE?....*"
                    f "Well have fun. Edmund, get back to work, a lot of people are coming."
                    e "Awww...this sucks. Bye Janet!"
                    hide edmund
                    hide bates
                    a "Well that was interesting."
                    d "What do want to next Janet?"
                " I would like to play some games first.":
                    d "Okay. Let's go"
                    # the scene changes
                    scene bg game with dissolve
                    a "This looks like fun!"
                    d "Yeah. We should do this often..like hang out more."
                    a "!!!!! *blush*"
                    a "Yeah..I guess."
            # the scene changes
            scene bg night with dissolve
            play music "dream.mp3"            
            a " The night is really black and cold. The festival looks fun, maybe because I'm with Welsh."
            a "But the whole time, I've been getting shivers. Not because it's cold, but because.."
            a "I been having a bad feeling."
            a "'Meaw' 'Meaw'"
            a " No way..the black cat is here at the festival. Is that a clue?"
            a "I guess I can sneak on Welsh and follow it while I can."
            # the scene changes
            scene bg forest with dissolve
            a "Why is the black cat running this far into the forest?"
            d "Janet!"
            a "Huh? Welsh?"
            show welsh
            d "Why are you running all the way over here?"
            a "How you know?..."
            d " I saw you from the festival running into the forest and I got worried. Are you okay?"
            a "Yeah..I'll get back soon.."
            a "*TRIP* Ahh..."
            # the scene changes
            scene bg hug with dissolve
            d "Got you. Are you hurt?"
            a "Yeah...Ummm..*Why is he holding me really tight in his arms?..."
            a "*This is such a weird feeling..but I don't want him to let me go..*"
            d "Janet.."            
            a "Welsh...."
            d "Yeah?.."
            a "Ummm...."
            c "What are you two...? Janet?"
            #the scene changes 
            scene bg forest with dissolve
            a "Mr. Ponce?!"
            show ponce at right
            show welsh mean
            c "Caught you fooling around again..now with a different boy. Aren't you ashame?"
            a "......I...can explain."
            c "I'm going back to the festival. Prepare for your punishment on Monday."
            hide ponce with moveinright
            d "...So you were fooling around..with some other guy?..."
            a "Welsh! I know he said that, but it's a misunderstanding.."
            d "I'll walk you back to the festival, but I'll be leaving soon."
            a ".....Okay..."
            a "*I can't believe my luck. Mr. Ponce caught me twice and now he thinks I'm more than a whore. My stomach hurts.*"
            a "I feel horrible showing Welsh that kind of image...I...don't know what to do now. I don't want Monday to come."
            # the scene changes
            scene bg bedroom with dissolve
            a "Finally home. better go to sleep, I really have to forget tonight's drama."
            # the scene changes
            scene bg light with dissolve
            a "Am I dreaming...?"
            # Start the background music playing.
            play music "dream.mp3"
            # the scene changes
            scene bg darkness with dissolve
            a "He is here! The guy of my dreams. We are holding each other. He is really sweet with me.."
            a "I love him so much. I want to remain here with him..forever."
            a "'Meaw' 'Meaw'"
            a "The black cat..why does it keep coming? Does it want us to follow him?"
            # the scene changes
            scene bg stairs with dissolve
            a "We are going down the basement..why is the cat leading us here?"
            h "Le't go into that door. Aren't you curious?"
            a " Wait! I have a bad feeling..."
            h "Come on. I'll hold your hand if you're too scared."
            a "Okay.."
            play music "scream.mp3"
            # the scene changes
            scene bg teleport with dissolve            
            a "AAAAAHHHHHHHHHH!!!{size=34}"
            # the scene changes
            scene bg bedroom with dissolve
            # Start the background music playing.
            play music "morning.mp3"
            a " Gasp! It was just a dream!"
            a "My dream guy was there..but..it was a nightmare too."
            a "I should get ready for school."
            # the scene changes
            scene bg school with dissolve
            a "I'm late..but I don't want to go to History class and face Welsh."
            menu:      
                "Should I skip class and hide somewhere?":                    
                    a "If I skip, I need to hide somewhere. Maybe fake that I'm sick."
                    # the scene changes
                    scene bg nurse with dissolve
                    show esme
                    g "Oh, Hi Janet. Are you feeling all right?"
                    a "Uh..my head hurts a bit."
                    g "Don't worry. You can lay down for a bit if you want. When I have a slow day, I usually lay down and sleep."
                    g "It helps!"
                    a "Okay. Thank you."
                    g "So...Valentines day is near. Do you have any plans?"
                    a "I don't keep track of the calendar. I guess I don't have any plans"
                    g "How depressing. I was hoping to go out with someone for dinner.."
                    a "*Why is the nurse lady telling me her personal life?...It's obvious she is thinking of Mr.Ponce...that monster.*"
                    a "Well good luck. I'm laying down now."
                    g "Okay. Rest well."
               
                "I should just go to class and hope Welsh still talks to me.":
                    # the scene changes
                    scene bg classroom with dissolve
                    show ponce
                    c "Nice of you to show up.."
                    a "*What's with the sarcass? Is he trying to make me feel bad?*"
                    c "And by the way Ms. Janet, stay after class to do some errands for me."
                    a "Errands? Now I'm your gopher again?"
                    c "Well if you want me to keep my mouth shut to the principal, yes."
                    a "*GULP. He is blakmailing me now...*"
                    hide ponce
                    show edmund
                    e " Hey Janet. What's up?"
                    a "Oh hey..where's Welsh?"
                    e "He got sick, I guess It's just you, Winston, Bates and me."
                    a "Oh..*Welsh..he must be avoiding me...Or maybe he really got sick"
                    e "By the way...do you have a date for Valentine's day?"
                    a "Valentine's?...Ummm..no..I don't want to deal with 'dates' at this moment."
                    e "Well, if you require some company, I'm always around."
                    a "Umm..sure. I'll keep that in mind."
                    # the scene changes
                    scene bg hallway with dissolve
                    a "Valentine's huh? I don't want the same thing to happend like the festival thing."
                    a "*Push* Hey...watch were you're.."
                    show winston
                    b " Shut up pompous womp.You got on my way."
                    hide winston with moveinleft
                    a "*Shessh. Why is he in a bad mood?...maybe because I rejected his invitation for the festival?*"
                               
            # the scene changes
            scene bg hallway 
            show edmund
            e "Hey Janet! Got a minute?"
            show edmund
            a "Hey, what happend?"
            e " Just wanted to let you know that me and Bates are in a Cupid Club and wanted your help for Valentine's day."
            e "Unless you have plans.."
            a "What kind of help?"
            e "Well our club will deliver roses to people at school, either from secret admirers or lovers. Do you want to help and deliver?"
            a "Umm..sure. I have no plans that day."
            e "Great! I'll give you the details tomorrow. Bye!"
            a "Bye."
            # the scene changes
            scene bg bedroom
            a "Glad that day was over. I just don't want to show my face to Welsh again..."
            play music "dream.mp3"
            # the scene changes
            scene bg darkness with dissolve
            h "There you are my love"
            a "It's him...He's calling me.."
            a "Where is he? He was right there just a minute ago."
            h "Don't get near that thing! It's dangerous!"
            a "Huh? What's dangerous?"
            play music "scream.mp3"
            # the scene changes
            scene bg teleport            
            a "AHHHHHHHHHH!!!!!"
            # the scene changes
            scene bg bedroom with dissolve
            play music "morning.mp3"
            a "This dream again..I keep getting confused."
            # the scene changes
            scene bg school with dissolve
            a "There's something going on today at school. But I forgot.."
            a "The students are giving out chocolates...."
            a "GASP! Today is Valentine's day?"
            show edmund at right
            show bates at left
            e "Don't tell me you forgot Janet."
            f "Are you helping out?"
            a "When are you delivering?"
            e "It's during lunch."
            a "Then I guess I can.."
            e "Great. See you then."
            # the scene changes
            scene bg hallway with dissolve            
            a "I'm not too excited about valentine's..Besides, I no longer talk to Welsh since the festival, so now I don't know who to give chocolates to."
            b "What are you doing just looking stupid in the hallway?"
            show winston
            b "I heard you're helping Edmund and Bates with their Cupid Club...sounds so stupid.."
            a "They are your friends too, aren't you helping out too?"
            b"If I can torment you..maybe."
            a "....."
            a "I have to go...bye."
            # the scene changes
            scene bg classroom with dissolve
            show ponce
            c "You all know the drill. Start reading."
            a "*He is making us do more reading. Is he a Spartan trainer?"            
            # the scene changes
            scene bg lunch with dissolve
            show edmund at right
            show bates at left
            e "Come Janet. We have the things over here. Each item has the room number for that person."
            a "I guess I'll be delivering the roses."
            a "I'll deliver the chocolates."
            f "And I'll do the toys."
            # the scene changes
            scene bg hallway with dissolve
            a "How exhausting. Almost done. I just need to deliver this last rose."
            a "The room number is .....A-6..."
            # the scene changes
            scene bg classroom with dissolve
            a "The person I should deliver this rose to is for..."
            a "Welsh?! From whom? Crap, they didn't put their name in the message."
            show welsh
            d "Janet?"
            a "Oh...*Crap, I can't face him...* This is for you. Happy Valentine's day."
            d "You're giving me this?..."
            a "Umm...not from me...I'm helping out for the Cupid Club. I'm just the delivery helper."
            d "Oh..."
            a "So umm..Bye"
            d "Wait."
            a "?..."
            d "Do you have plans after school?"
            a "Umm, no. Why?"
            d "Let's go eat. My treat."
            a "What? You're inviting me to eat? *I thought after the festival accident, he would ignore me*"
            d "Why not? It's Valentine's day."
            a "O..Okay. i would like that."
            d "Great. See you afterschool"
            # the scene changes
            scene bg school with dissolve
            a "School is over..But I'm still confused why he would invite me again...He looked really upset with me last Friday."
            d "There you are."
            show welsh
            a "Hey..so..where are we going?"
            d "I know a place near by. Let's go."
            # the scene changes
            scene bg restaurant with dissolve
            show welsh
            a "Wow, what a nice restaurant."
            d "What would you like to eat?"
            a "Whatever you're getting. Umm..Welsh.."
            a "I though you were upset with me because of..."
            d "Janet, I will never be upset with you. I just didn't know what to respond at the end of the festival."
            d "What I assure you that I am not upset and just want to have fun with you."
            a "Okay..Thanks Welsh. I also want to have fun with you."
            a "*Wow, he is such a great guy. I feel relief now...*"
            # the scene changes
            scene bg bedroom with dissolve
            a "That was a fun date. I'm glad I'm in good terms with Welsh again. Yawn! Goodnight!"
            # the scene changes
            scene bg school with dissolve
            a "Better not be late for class!"
            # the scene changes
            scene bg hallway with dissolve
            b "Pompous Womp!"
            show winston
            b "Are you done with the classes?"
            a "yeah...why?"
            b "Let's go to the roof. I found a lighter. Let's burn ants or something."
            a "Are you four years old? That's prohibit at school you know."
            b "So? Some teacher was smoking with this lighter and dropped it. Come on."
            a "No, you'll get me in trouble."
            show welsh at right
            d "What are you doing to Janet now you creep?"
            b "Shut up. Mind your own business jackass."
            d "Is that a lighter? That's dangerous for a kid like you to have."
            b "Keep saying that and I'll burn your hair bald!"
            a "Winston, stop. Dont play with it!"
            b "You shut your trap or...."
            b "SHIT! My shirt is on fire!!"
            a "What?! Winston I told you not to play with it."
            d "You dumb-ass.."
            a "Quick!...The emergency alarm!"
            play music "bell.mp3"
            d "Janet don't...!!"            
            b "Thank God the sprinklers saved my ass."
            a "The whole building is wet. Hope the teachers don't....."
            c "WHAT'S THE MEANING OF THIS MESS?"
            a "Oh-Uh..."
            play music "morning.mp3"
            # the scene changes
            scene bg classroom with dissolve
            show ponce
            c "The principal had no other choice but for you three to have Saturday school. So this Saturday, you'll be coming to class."
            c "And I'll be supervising you for eight hours. Got it?"
            a "...yes..."
            b "......"
            d "sure."
            # the scene changes
            scene bg bedroom with dissolve
            a "This sucks. I got in trouble again because of Winston ....again."
            a "Hope nothing bad happens that day."
            # the scene changes
            scene bg school with dissolve
            a "Well now I'm here..On a Saturday. That sucks."
            # the scene changes
            scene bg classroom
            show ponce
            c "Okay you three. I don't want to be here on a Saturday like you, so make things easier for me you filthy brats."
            c "So for the next hours, you three must read this book and write a summary for every chapter."
            c "I'll be at my office if you need help but all I will do to help you is call you a 'dumb retard'"
            c "Understood?"
            a "......."
            b".....hmp"
            d ".....okay.."
            a "Wait. But what if we have to use the bathroom?"
            c "You would need a hall-pass, here."
            a "*reach*"            
            c "I'll be leaving now. Behave or you'll suffer the concequences."
            hide ponce with moveinleft
            show winston at right
            b "I seriously hate that teacher. Why does he still hold a job here at a school?"
            show welsh at left
            d "Just be quiet so we can finish this stupid assignment. It's your fault we're here. Right Janet?"
            
            menu:
                "Right. I told it was dangerous to play with that lighter.":
                    b "So you blame everything on me you pumpous womp?!"
                    a "well...."
                    b "This is why you got bullied on our previous school. Such an idiot womp."
                    d "Hey, stop insulting Janet. She had nothing to do with this."
                    b "Hmp."
                " Let's just stop arguing before Mr. Ponce comes and get us to read more.":
                    b "I'll take that as a 'I take your side Winston' ,see that Welsh?"
                    d "She just said that so you can shut up."
                    b "One day, Welsh-gayish...one day."
                    d "Wow, you have a way with words. You should be a poet."
            c "Can you guys shut up?! I can hear you three from across the hall, lousy retards."
            a "*Sign...*"
            a "Well, I'll be taking the hall pass now. I'll be back."
            # the scene changes
            scene bg toilet with dissolve
            a "This is horrible...I can't concentrate with the assingment with those two arguing every five minutes."
            # the scene changes
            scene bg hallway with dissolve
            a " 'Meaw' 'Meaw'"            
            a "Huh? The black cat?....Now of all times? "
            a "Everytime I chase after it, I get in trouble...but...I can't help it."
            a "It might lead me to my true love."
            h "Daffodile? Daffodile? where are you?"
            a "Huh? The nurse lady"
            show esme
            g " Oh, Janet. What are you doing here? You have Saturday school?"
            a "Yes..but why are you here? We're suppost to be the only ones here."
            g "Umm..Well..You never know when someone can get hurt. Right?"
            a "That black cat. Is it yours?"
            g "Ah yes. Her name is Daffodile. She has been living here at school for more than ten years. I just feed her."
            a "Ten years? Wow..That's a while. You went to this school?"
            g "Yes, I went here with my brother and even...Mr. Ponce ten years ago."
            a "Mr. Ponce?...*Don't tell me she has been in love with him since high school?*"
            g "it's been a while but...Mr. Ponce had his heart...for someone since high school..Even now, he can't stop loving her"
            a "*...Mr. Ponce is in love with someone?...since high school too?....That is so..unrealistic..Since he is such a heartless monster most of the time*"
            g "Huh? Janet, are you feeling alright? You look pale.."
            a "Umm..yes, I'm fine. I'm just reading non-stop, my head hurts a bit."
            g "Come with me. I have some pills for headaches, it might help you."
            a "okay..."
            # the scene changes
            scene bg nurse with dissolve
            show esme
            g "Here, swallow this with water."
            a "Okay...thanks. *gulp*"
            g "Feeling better now?"
            a "Yes. Thanks a lot. I'll be going back to the classroom.."
            a "huh..."
            a "I feel..."
            a "Dizzy...."            
            # the scene changes
            scene bg nurse1 with dissolve
            # the scene changes
            scene bg nurse2 with dissolve
            # the scene changes
            scene bg nurse3 with dissolve
            a "*DROP*"
            play music "dream.mp3"
            # the scene changes
            scene bg darkness with dissolve
            h "Hey! Where have you been? I've been looking for you."
            a "Huh, this time is not my guy of my dreams..it's someone else. Someone else.."
            h "I need your help. I'm making something important. It's my new project. Do you want to see?"
            a "Huh..project?..."
            # the scene changes
            scene bg stairs with dissolve
            h "It's down here. Follow me."
            a "The stairs...where.." 
            #the scene changes
            scene bg light with dissolve
            a "I'm..waking up. Huh?..Why can't I move my body..My hands are.."
            h "Are you awake now?"
            a "Huh?"
            # the scene changes
            scene bg basement
            a "Where am I..What's this place?"
            h "It's the school basement. It's usually locked but I only have acess to it."
            show esme mean
            g "It's our secret!"
            a "....Esme....why?..Why did you strapped me in a chair? Let me Go!!."
            g "It's a problem you can't remeber.Camilla.."
            a "Huh? Who's..Camilla?...."
            h "JANET!! JANET! Where are you?!"
            a "Gasp*....That's..."
            show welsh mean at right
            d "What...what is going on here?!"
            a "Welsh!! Thank God you're here! Please help me out of here!"
            d "Esme...why.."
            g "Welsh..I..just couldn't wait any longer..."
            d "........"
            d "Fine."
            d "Then it's time."
            a "Huh!...Welsh...What's going on?..."
            d "Janet...no..Camilla. Are you ready to...remember?"
            a "What?! Welsh, what are you doing? Take does wires off my head! "
            d "This will help you remember..Camilla."
            a "Stop calling me that!! My name is Janet!!"
            # the scene changes
            scene bg teleport
            a "AHHHHHHHHHHHH!!!!!!"
            # the scene changes
            scene bg darkness with dissolve
            play music "heart.mp3"
            a "Why..am I dreaming at a time like this...Huh? There's someone else here..."
            # the scene changes
            scene bg dream2 with dissolve
            a "Someone..My dream guy. He's here! I can see him.."
            # the scene changes
            scene bg dream1 with dissolve
            a "Huh!?!"
            a "Mr. Ponce."
            # the scene changes
            scene bg light with dissolve
            a "Mr. Ponce...No...."
            a "Russell...."
            # the scene changes
            scene bg basement with dissolve
            play music "torment.mp3"
            show esme mean at left
            show welsh mean at right
            a "What..happend to me..why do I suddenly remember?"
            a "* Now I see it. Esme..she was my best friend. She's the one who showed me this basement before and her project."
            a "* And...Welsh..No..Gregory, I remeber he looked different. Like a geek with glasses, and he is Esme's brother...and Russell..*"
            a "* He was my boyfriend...We chased after the black cat one day and there was an accident..*"
            d "Glad you're back Camilla. I can't take my revenge if you can't remember what you did."
            a "Revenge?...why?"
            d "Maybe your head can't process all your memories, but one day..you and your stupid boyfriend Russell came to this basement once.."
            d "Esme and Me didn't notice you coming since we were busy on our project."
            g "A time machine. That day, I was testing it, and when it was on.."
            d "YOU PUSHED ME INSIDE. I took you with me and we both travelled to the future."
            a "Oh...I remeber that part but...there's a reason why.."
            d "Shut up!! I was in love with a girl back then, and we were suppost to meet afterschool. I couldn't go..and.."
            d "..She got mugged and killed while waiting for me.."
            a "*He was in love with another girl?...Why does my heart ache after hearing this?..*"
            d "If it weren't for you..She wouldn't be...Agh! So I wanted to get my revenge by hurting your love one too."
            d "Since you had no memory, I wanted to make you fall for me infront of Russell, and hurt him."
            d "But this other jerk was a barrior so it got complicated. But now you remember, so I will send you to the future ten more years and let's see if Russell.."
            d "Can wait ten more years for you."
            a "..*No way...Russell waited for me..for ten years. No wonder he was mean to me...he caught me with Winston and Greg..he was jealous..*"
            g "The machine is ready Greg."         
            d "Right. Are you ready Camilla?"
            h "WAIT!!!!!"
            show ponce
            c "I heard everything..your plans..but there's an explanation..Esme...Greg.."
            a "Mr.Ponce...Greg...."
            c "Camilla..I'm glad you remember me..It was painful for me..waiting ten years and seeing you with other guys..."
            d "Enough! *Pulls gun* You will witness your lovely girl time travel ten more years. Can true love wait that long again?"
            c "Greg, that day..when Camilla and me sneaked into the basement, we saw what you two were doing."
            c "But at that time, there was a cut wire next to you..Camilla notice, and when you were about to step on it..she pushed you in order to protect you."
            c "The wire shocked Camilla instead on her head and while she time travelled..she lost part of her memories..."
            c "So it was all an accident Greg. Please believe me."
            d "......."
            d "That explanation can't return my love to life can it? I don't care what really happend. I want Camilla to lose her love too."
            a "Wait! Don't do it!!"
            d "Esme, put Camilla into the machine."
            # the scene changes
            scene bg portal
            show welsh mean
            g "......"
            d "Esme?.."
            d "*PUSH*"
            g "I'm sorry brother...i've been following your orders and I can't hurt my best friend and Greg any longer."
            g "I'm not sure if it would work..but I'll try to send you back...into the past brother."
            d "NNNOOOOOO!!!!!!"
            # the scene changes
            scene bg portal1
            # the scene changes
            scene bg light
            # the scene changes
            scene bg portal with dissolve
            a ".......He...Greg...he's gone...Did he really traveld to the past?...*Greg..You succeded..I fell in love with you..but it was all an act*"
            g "I.....I don't know..."
            g "Oh no!! The machine is over-heated...If we don't get out of here.."
            c "Camilla!! Let me release you from that chair!"
            a "Hurry Russell!!"
            g "It's too late!! The machine..!!!!"
            # the scene changes
            scene bg portal2
            play music "bomb.mp3"
            g "IT'S GOING TO EXPLOTE!!!"
            # the scene changes
            scene bg light with dissolve
            play music "dream.mp3"
            a " Welsh....I mean Greg..You went this far to hurt me..Now that I got my memories back..I remeber the guy of my dreams..but.."
            a "It's Greg who I want.."
            a "I'm sorry Russell.."
            # the scene changes
            scene bg bedroom with dissolve
            play music "morning.mp3"
            a " Huh? Since when did I?...Who took me here?..."
            m "Oh! Janet! I'm glad you're awake! I was getting worried."
            a "Mom?...What happend?..."
            m "Janet...Some man brought you home and you were unconscious.."
            a "......"
            a "Mom...I..My name is not Janet...My name is.."
            a "Camilla.."
            m "So...That's your real name?...."
            a "Huh? What do you mean?"
            m "Sign*"
            m "I wanted to tell you sooner..but...I adopted you..I named you Janet."
            a "What? Then my real parents.."
            m "You have no background record. You might still have no memory of your true family. You were found with no memory..So I.."
            a "*The machine must have droped me unconscious..*"
            m "I took advantage of your memory loss..I'm sorry Jane...Camilla."
            a "It's okay. You are still my mom. I love you."
            m "I love you too."            
            # the scene changes
            scene bg school with dissolve
            a "The school is closed..Could it be because of the explotion?"
            show ponce
            c "Camilla.."
            a "Mr. Ponce.."
            c "I..can we talk?"
            a "Sure...*Oh God...I can't speak well..after remembering everything..my feelings are confusing..*"
            c "As you know..we used to date ten years ago, and I understand if you don't want to continue dating me..someone ten-years older than you."
            a "Ummm...Mr. Ponce."
            a "I remeber you as my boyfriend, and my dreams were giving me clues of you..I even had feelings for you in my dreams..but"
            a "...once I wake up, I have no feelings for you. Right now my heart..."
            a "Belongs somewhere else.."
            c "......"
            c "I see."
            c " Camilla...I waited for you..ten years..I got a job here in order to be near you..Even after ten years..I still love you"
            c "But if you can't return my feelings now, then I can't force you to be with me."
            a "Mr. Ponce...Thank you..for waiting for me..and for understanding.."
            c "Goodbye Camilla."
            hide ponce
            a "That was horrible..I felt like a bad person..but I have to be honest with my current feelings."
            a "What should I do? I don't want to go home right now."
            menu:
                "Go to the park":
                    a "There's a park near by. I should just hang out there for a bit."
                    # the scene changes
                    scene bg park with dissolve
                    a "Now I can relax for a bit..huh?..who?.."
                    h "Hello."
                    show welsh future 
                    a "Greg...Is that you? You look older, I almost didn't recognize you.."
                    d "I'm glad you did."
                    a "*This is weird. He looks calm and happy. Last time I saw him..he was trying to hurt me and take revenge on me*"
                    d "Don't tell me..you still remeber what I did down at the basement."
                    a "Well...It was two days for me..For you..It was ten years.."
                    d "Yeah..I was an immature child back then. I want to apologize for...trying to hurt you I.."
                    a "Greg..It's okay. You look happy. I'm glad for you."
                    a "*Now that I think about it...He traveled back in time..did he rescue that girl in time?...I guess by now..they should be married or something..*"
                    d "Are you feeling okay? You're face is..red.."
                    a" Oh..yeah..Umm.."
                    menu:
                        "I'm sorry for everything that happend.":
                            play music "piano.mp3"
                            d "Oh don't worry about it. I should be apologizing to you."
                            a "So..what are you doing here at the park?"
                            d "Oh..I was taking care of little Welsh, my son. I named him after my second life as a high schooler."
                            a "oh..."
                            a "* He is not just married..He has a child now."
                            d "Yes, after I time traveld, I was in time to rescue the girl and since then..we have been together."
                            a "Congratulations..."
                            d "Well..It's time for us to go. Hopefully I get to see you soon. Little Welsh might need a baby-sitter. Haha bye"
                            hide welsh future
                            a "Well..that sucks..the guy I have feelings for never had feelings for me and has a happy life with that woman.."
                            a "I should go home. I'm not feeling well..."
                            a "It's getting late. I should hurry.."
                            a "Huh....?"
                            # the scene changes
                            scene bg car with dissolve
                            a "AAAAHHHHHHHHHH!!!!!!"
                            play music "car.mp3" 
                            a "CRASHHHH..."
                            play music "torment.mp3"
                            # the scene changes
                            scene bg dark with dissolve
                            a "I....I'm...am I dead?..."
                            # the scene changes
                            scene bg end with dissolve
                            a "Goodnight"
                        "How's your life so far as an adult?":
                            play music "piano.mp3"
                            d "Oh..I'm having a normal adult-life. Right now I'm here with little Welsh, my son. I named him after my second life as a high schooler."
                            a "oh..."
                            a "* He is not just married..He has a child now."
                            d "Yes, after I time traveld, I was in time to rescue the girl and since then..we have been together."
                            a "Congratulations..."
                            d "Well..It's time for us to go. Hopefully I get to see you soon. Little Welsh might need a baby-sitter. Haha bye"
                            hide welsh future
                            a "Well..that sucks..the guy I have feelings for never had feelings for me and has a happy life with that woman.."
                            a "I should go home. I'm not feeling well..."
                            a "It's getting late. I should hurry.."                            
                            # the scene changes
                            scene bg bedroom with dissolve
                            a "I had a really heartless day. I should just go to sleep and forget everything.Goodnight"
                            # the scene changes
                            scene bg end with dissolve
                            a "Goodnight"
                                              
                "Go eat":                    
                    # the scene changes
                    scene bg restaurant with dissolve
                    a "Where should I sit?...Mhh...Huh?"
                    a "That guy...he looks like.."
                    h "Hello"
                    show welsh future
                    play music "piano.mp3"
                    a "Greg?! "
                    a "Greg...Is that you? You look older, I almost didn't recognize you.."
                    d "I'm glad you did."
                    a "*This is weird. He looks calm and happy. Last time I saw him..he was trying to hurt me and take revenge on me*"
                    d "Don't tell me..you still remeber what I did down at the basement."
                    a "Well...It was two days for me..For you..It was ten years.."
                    d "Yeah..I was an immature child back then. I want to apologize for...trying to hurt you I.."
                    a "Greg..It's okay. You look happy. I'm glad for you."
                    a "*Now that I think about it...He traveled back in time..did he rescue that girl in time?...I guess by now..they should be married or something..*"
                    d "Are you feeling okay? You're face is..red.."
                    a" Oh..yeah..Umm.."
                    a "So..what have you been doing..as an adult?"
                    d "Well not much. After I time travelled, I was able to save the girl."
                    a "Oh..That's great.."
                    d "We started dated after that..but"
                    d "There was something wrong. Something was missing.."
                    a "....missing?"
                    d "You. I missed you. It wasn't the same without you, so we broke up weeks later..."
                    a "Greg..."
                    d "I know I tricked you and tried to make you fall in love with me..but.."
                    d "It was me who..fell for you.."
                    a "What!?"
                    d "I was acting..sort of..but sometimes I didn't have to act..I just acted naturally.."
                    a "Greg I...To tell you the truth..I did fell for you..I was really devastated when I heard that it was all an act..but"
                    a "I still didn't care..I still love you."
                    d "Camilla..really?"
                    a "Yes..."
                    # the scene changes
                    scene bg welsh1 with dissolve
                    d "I'm glad...I though you would never forgive me Camilla."
                    a "Me neither. "
                    d "This time, I'll act like the real me and protect you."
                    a "Okay! I love you Greg."
                    d " I love you too, Camilla."
                    # the scene changes
                    scene bg end with dissolve
                    a "Goodnight"
                    
            
            
            
            
        "Go with Winston.":
            a " I feel like he wanted to ask me on a date but doesn't know how to ask me properly. He is such a tsundere."
            show winston
            b " Yo pompous womp"
            a "......"
            b " So..This Friday?"
            a "Whatever, if it makes you shut up about that stupid name."
            b "That'll be the day. So you'll be my girl for the night, right?"
            a "What? I never agreed on such thing!"
            b "Is that a yes?"
            a "You're a pig. Bye."
            a "*I can't believe I agreed to date that rude animal...but hopefully he reveals his soft side that night."
            # the scene changes
            scene bg night with dissolve
            # Start the background music playing.
            play music "moon.mp3"
            a "Winston told me he would find me at the festival..but..where should I wait?"
            # the scene changes
            scene bg festival with dissolve
            play music "people.mp3"
            a "I'm here..so.."
            show winston
            d " Hey! Sorry I'm late, did you wait long?"
            a "Umm..a bit but it's fine. So what do you want to do meanwhile?"
            d "We can eat and I saw some games we can play. What do you want to do first Pompous womp?"
            menu:
                "I would like to eat first and stop calling me that!":
                    d "Roger womp. Let's go"
                    # the scene changes
                    scene bg festival with dissolve
                    show edmund at right
                    show bates at left
                    e "Hey Janet, Hey Winston. On a date or something?"
                    a "No way! It's not a date..we're just hanging out. So your serving food?"
                    show winston
                    b "Hmp..."
                    e "Yeah. Bates makes me volunteer for club activities, I wish I hang out with you too Janet."
                    b "Back off you stupid Hyena, she's my date now."
                    a "IT'S NOT A DATE! Augh, I regret coming here now."
                    b "You agreed to come here with me! It makes a date!"
                    f "Well have fun. Edmund, get back to work, a lot of people are coming."
                    e "Awww...this sucks. Bye Janet!"
                    hide edmund
                    hide bates
                    a "Seriously, you keep saying it's a date, I will leave."
                    b " Don't tell me it's embarrassing for you to admit it"
                    a "Hmp.."
                    b "Here, it's crowed, hold me."
                    a "Excuse me?!"
                    b "Do you want to get lost?"
                    a ".......fine....."
                " I would like to play some games first.":
                    b "Okay. Let's go"
                    # the scene changes
                    scene bg game with dissolve
                    a "Oh, look I won!"
                    b "Not bad for a pompous womp."
                    a "Oh yeah? You try, let's see who's a womp!"
                    b "Look! I'll show you a real pro!"
            # the scene changes
            scene bg night with dissolve
            play music "dream.mp3"
            a " The night is really black and cold. The festival looks fun, maybe because Winston has been nice to me..for once..."
            a "But the whole time, I've been getting shivers. Not because it's cold, but because.."
            a "I been having a bad feeling."
            a "'Meaw' 'Meaw'"
            a " No way..the black cat is here at the festival. Is that a clue?"
            a "I guess I can sneak on Winston and follow it while I can."
            # the scene changes
            scene bg forest with dissolve
            a "Why is the black cat running this far into the forest?"
            d "Janet!"
            a "Huh? Welsh?"
            show welsh
            d "Why are you running all the way over here?"
            a "How you know?..."
            d " I saw you from the festival running into the forest and I got worried. Are you okay?"
            a "Yeah..I'll get back soon.."
            a "*TRIP* Ahh..."
            # the scene changes
            scene bg hug with dissolve
            d "Got you. Are you hurt?"
            a "Yeah...Ummm..*Why is he holding me really tight in his arms?..."
            a "*This is such a weird feeling..but I don't want him to let me go..*"
            d "Janet.."            
            a "Welsh...."
            d "Yeah?.."
            a "Ummm...."
            b "Janet, What the hell..?"
            #the scene changes 
            scene bg forest with dissolve
            a "Winston?!"
            show winston at right
            show welsh mean
            b "What's wrong with you!? You dissapeared and I was worried...and here you are with this...jerk?"
            a "......I...can explain."
            b "Forget it! I'm leaving."
            hide winston with moveinright
            d "I'm sorry Janet..I didn't though you were on a date with him.."
            a "Welsh! It's not a date...."
            d "I'll walk you back to the festival, but I'll be leaving soon."
            a ".....Okay..."
            a "*I can't believe my luck. I was having a great time with Winston, and I screwed everything with him. My stomach hurts.*"
            a "I feel horrible showing my face to Winston...I...don't know what to do now. I don't want Monday to come."
            # the scene changes
            scene bg bedroom with dissolve
            a "Finally home. better go to sleep, I really have to forget tonight's drama."
            # the scene changes
            scene bg light with dissolve
            a "Am I dreaming...?"
            # Start the background music playing.
            play music "dream.mp3"
            # the scene changes
            scene bg darkness with dissolve
            a "He is here! The guy of my dreams. We are holding each other. He is really sweet with me.."
            a "I love him so much. i want to remain here with him..forever."
            a "'Meaw' 'Meaw'"
            a "The black cat..why does it keep coming? Does it want us to follow him?"
            # the scene changes
            scene bg stairs with dissolve
            a "We are going down the basement..why is the cat leading us here?"
            h "Le't go into that door. Aren't you curious?"
            a " Wait! I have a bad feeling..."
            h "Come on. I'll hold your hand if you're too scared."
            a "Okay.."
            # the scene changes
            scene bg teleport with dissolve
            # Start the background music playing.
            play music "scream.mp3"
            a "AAAAAHHHHHHHHHH!!!{size=34}"
            # the scene changes
            scene bg bedroom with dissolve
            # Start the background music playing.
            play music "morning.mp3"
            a " Gasp! It was just a dream!"
            a "My dream guy was there..but..it was a nightmare too."
            a "I should get ready for school."
            # the scene changes
            scene bg school with dissolve
            a "I'm late..but I don't want to go to History class and face Winston."
            menu:      
                "Should I skip class and hide somewhere?":                    
                    a "If I skip, I need to hide somewhere. Maybe fake that I'm sick."
                    # the scene changes
                    scene bg nurse with dissolve
                    show esme
                    g "Oh, Hi Janet. Are you feeling all right?"
                    a "Uh..my head hurts a bit."
                    g "Don't worry. You can lay down for a bit if you want. When I have a slow day, I usually lay down and sleep."
                    g "It helps!"
                    a "Okay. Thank you."
                    g "So...Valentines day is near. Do you have any plans?"
                    a "I don't keep track of the calendar. I guess I don't have any plans"
                    g "How depressing. I was hoping to go out with someone for dinner.."
                    a "*Why is the nurse lady telling me her personal life?...It's obvious she is thinking of Mr.Ponce...that monster.*"
                    a "Well good luck. I'm laying down now."
                    g "Okay. Rest well."
               
                "I should just go to class and hope Winston doesn't make a scene.":
                    # the scene changes
                    scene bg classroom with dissolve
                    show ponce
                    c "Nice of you to show up...You are late, now sit!"
                    a "*What's with the sarcass? Is he talking to me like he would to a dog?*"
                    c "And by the way Ms. Janet, stay after class to do some errands for me."
                    a "Errands? Now I'm your gopher again?"
                    c "Well if you want me to keep my mouth shut to the principal, yes."
                    a "*GULP. He is blakmailing me now...*"
                    hide ponce
                    show edmund
                    e " Hey Janet. What's up?"
                    a "Oh hey..where's Winston?"
                    e "He got sick, I guess It's just you, Welsh, Bates and me."
                    a "Oh..*Welsh..he must be avoiding me...And Winston...faking to be sick?"
                    e "By the way...do you have a date for Valentine's day?"
                    a "Valentine's?...Ummm..no..I don't want to deal with 'dates' at this moment."
                    e "Well, if you require some company, I'm always around."
                    a "Umm..sure. I'll keep that in mind."
                    # the scene changes
                    scene bg hallway with dissolve
                    a "Valentine's huh? I don't want the same thing to happend like the festival thing."
                    a "*Push* Hey...watch were you're.."
                    show welsh
                    d " Oh, sorry Janet. I'll see you around. Bye."
                    hide welsh
                    a "*.....Is he..avoiding me?...*"
            # the scene changes
            scene bg hallway with dissolve
            show edmund
            e "Hey Janet! Got a minute?"
            show edmund
            a "Hey, what happend?"
            e " Just wanted to let you know that me and Bates are in a Cupid Club and wanted your help for Valentine's day."
            e "Unless you have plans.."
            a "What kind of help?"
            e "Well our club will deliver roses to people at school, either from secret admirers or lovers. Do you want to help and deliver?"
            a "Umm..sure. I have no plans that day."
            e "Great! I'll give you the details tomorrow. Bye!"
            a "Bye."
            # the scene changes
            scene bg bedroom with dissolve
            a "Glad that day was over. I just don't want to show my face to Winston again..."
            play music "dream.mp3"
            # the scene changes
            scene bg darkness with dissolve
            h "There you are my love"
            a "It's him...He's calling me.."
            a "Where is he? He was right there just a minute ago."
            h "Don't get near that thing! It's dangerous!"
            a "Huh? What's dangerous?"
            # the scene changes
            scene bg teleport            
            a "AHHHHHHHHHH!!!!!"
            # the scene changes
            scene bg bedroom with dissolve
            play music "morning.mp3"
            a "This dream again..I keep getting confused."
            # the scene changes
            scene bg school with dissolve
            a "There's something going on today at school. But I forgot.."
            a "The students are giving out chocolates...."
            a "GASP! Today is Valentine's day?"
            show bates at left
            show edmund at right
            e "Don't tell me you forgot Janet."
            f "Are you helping out?"
            a "When are you delivering?"
            e "It's during lunch."
            a "Then I guess I can.."
            e "Great. See you then."
            # the scene changes
            scene bg hallway with dissolve            
            a "I'm not too excited about valentine's..aside that I no longer talk to Winston after the festival, I don't know who to give."            
            # the scene changes
            scene bg classroom with dissolve
            show ponce
            c "You all know the drill. Start reading."
            a "*He is making us do more reading. Is he a Spartan trainer?"            
            # the scene changes
            scene bg lunch with dissolve
            show edmund at right
            show bates at left
            e "Come Janet. We have the things over here. Each item has the room number for that person."
            a "I guess I'll be delivering the roses."
            a "I'll deliver the chocolates."
            f "And I'll do the toys."
            # the scene changes
            scene bg hallway with dissolve
            a "How exhausting. Almost done. I just need to deliver this last rose."
            a "The room number is .....A-6..."
            # the scene changes
            scene bg classroom with dissolve
            a "The person I should deliver this rose to is for..."
            a "Winston?! From whom? Crap, they didn't put their name in the message."
            show winston
            b "Janet?"
            a "Oh...*Crap, I can't face him...* This is for you. Happy Valentine's day."
            b "You're giving me this?..."
            a "Umm...not from me...I'm helping out for the Cupid Club. I'm just the delivery helper."
            b "Hmm..thanks."
            a "So umm..Bye"
            a "* Winston is acting strange...Better go before he turns back into himself again..*"
            b "Wait."
            a "?..."
            b"I want you to make it to me, for ditching me at the festival for that ass-face?"
            a " Ass-face?...Welsh? How can I make it up to you?"
            d "Let's go eat. "
            a "What? You're inviting me to eat? *I thought after the festival accident, he would be pissed at me*"
            d "That's the only thing that you can do for me."
            a "O..Okay. Fine....*This is so weird...I'm scared*."
            b " See you afterschool womp"
            # the scene changes
            scene bg school with dissolve
            a "School is over..But I'm still confused why he would invite me again...He was super upset with me last Friday."
            b"There you are womp!"
            show winston
            a "Winston! Don't shout that name out loud, people are staring!"
            b "Well I'm just being honest here."
            a "Hmp. Where are we going anyways?"
            b "Just follow me."
            a "* I hope he is not planning on kidnapping..."
            # the scene changes
            scene bg restaurant with dissolve
            a "Wow, this is a nice restaurant."
            show winston
            b "Yeah..It's near the school, and I noticed it for a while."
            b "Come Sit."
            a "Okay...*This is awkard..why would he want to eat with me? Is he bored and needs someone to torment? Or maybe he does consider me a friend."
            a "* ...and he shows it differently..It's sort of cute though..*"
            b "Have you decided what to get?"
            a " Umm..I'll get a sandwhich."
            b "I'll get the same then."
            # the scene changes
            scene bg bedroom with dissolve
            a "That was a fun day, I'm surpriced that Winston was nice to me, he actually made me laugh. I know see him..differently.."
            a "I'm glad I'm in good terms with Winston again. Yawn! Goodnight!"
            # the scene changes
            scene bg school with dissolve
            a "Better not be late for class!"
            # the scene changes
            scene bg hallway with dissolve
            b "Janet!"
            show winston
            b "Are you done with the classes?"
            a "yeah...why? *Wow, he didn't call me Pompous womp like usually..He is acting nice to me, I..actually like him now*"
            b "Let's go to the roof. I found a lighter. Let's burn ants or something."
            a "Are you four years old? That's prohibit at school you know."
            b "So? Some teacher was smoking with this lighter and dropped it. Come on."
            a "No, you'll get me in trouble."
            show welsh at right
            d "What are you doing to Janet now you creep?"
            b "Shut up. Mind your own business jackass."
            d "Is that a lighter? That's dangerous for a kid like you to have."
            b "Keep saying that and I'll burn your hair bald!"
            a "Winston, stop. Dont play with it!"
            b "You shut your trap or...."
            b "SHIT! My shirt is on fire!!"
            a "What?! Winston I told you not to play with it."
            d "You dumb-ass.."
            a "Quick!...The emergency alarm!"
            play music "bell.mp3"
            d "Janet don't...!!"            
            b "Thank God the sprinklers saved my ass."
            a "The whole building is wet. Hope the teachers don't....."
            c "WHAT'S THE MEANING OF THIS MESS?"
            a "Oh-Uh..."
            play music "morning.mp3"
            # the scene changes
            scene bg classroom with dissolve
            show ponce
            c "The principal had no other choice but for you three to have Saturday school. So this Saturday, you'll be coming to class."
            c "And i'll be supervising for eight hours. Got it?"
            a "...yes..."
            b "......"
            d "sure."
            # the scene changes
            scene bg bedroom with dissolve
            a "This sucks. I got in trouble again because of Winston ....again. I'll be at Saturday school with Winston...Winston.."
            a "Hope nothing bad happens that day."
            # the scene changes
            scene bg school with dissolve
            a "Well now I'm here..On a Saturday. That sucks."
            # the scene changes
            scene bg classroom
            show ponce
            c "Okay you three. I don't want to be here on a Saturday like you, so make things easier for me you filthy brats."
            c "So for the next hours, you three must read this book and write a summary for every chapter."
            c "I'll be at my office if you need help but all I will do to help you is call you a 'dumb retard'"
            c "Understood?"
            a "......."
            b".....hmp"
            d ".....okay.."
            a "Wait. But what if we have to use the bathroom?"
            c "You would need a hall-pass, here."
            a "*reach*"            
            c "I'll be leaving now. Behave or you'll suffer the concequences."
            hide ponce with moveinleft
            show winston at right
            b "I seriously hate that teacher. Why does he still hold a job here at a school?"
            show welsh at left
            d "Just be quiet so we can finish this stupid assignment. It's your fault we're here. Right Janet?"
            
            menu:
                "Right. I told it was dangerous to play with that lighter.":
                    b "So you blame everything on me you pumpous womp?!"
                    a "well...."
                    b "This is why you got bullied on our previous school. Such an idiot womp."
                    d "Hey, stop insulting Janet. She had nothing to do with this."
                    b "Hmp."
                " Let's just stop arguing before Mr. Ponce comes and get us to read more.":
                    b "I'll take that as a 'I take your side Winston' ,see that Welsh?"
                    d "She just said that so you can shut up."
                    b "One day, Welsh-gayish...one day."
                    d "Wow, you have a way with words. You should be a poet."
            c "Can you guys shut up?! I can hear you three from across the hall, lousy retards."
            a "*Sign...*"
            a "Well, I'll be taking the hall pass now. I'll be back."
            # the scene changes
            scene bg toilet with dissolve
            a "This is horrible...I can't concentrate with the assingment with those two arguing every five minutes."
            # the scene changes
            scene bg hallway with dissolve
            a " 'Meaw' 'Meaw'"            
            a "Huh? The black cat?....Now of all times? "
            a "Everytime I chase after it, I get in trouble...but...I can't help it."
            a "It might lead me to my true love."
            h "Daffodile? Daffodile? where are you?"
            a "Huh? The nurse lady"
            show esme
            g " Oh, Janet. What are you doing here? You have Saturday school?"
            a "Yes..but why are you here? We're suppost to be the only ones here."
            g "Umm..Well..You never know when someone can get hurt. Right?"
            a "That black cat. Is it yours?"
            g "Ah yes. Her name is Daffodile. She has been living here at school for more than ten years. I just feed her."
            a "Ten years? Wow..That's a while. You went to this school?"
            g "Yes, I went here with my brother and even...Mr. Ponce ten years ago."
            a "Mr. Ponce?...*Don't tell me she has been in love with him since high school?*"
            g "it's been a while but...Mr. Ponce had his heart...for someone since high school..Even now, he can't stop loving her"
            a "*...Mr. Ponce is in love with someone?...since high school too?....That is so..unrealistic..Since he is such a heartless monster most of the time*"
            g "Huh? Janet, are you feeling alright? You look pale.."
            a "Umm..yes, I'm fine. I'm just reading non-stop, my head hurts a bit."
            g "Come with me. I have some pills for headaches, it might help you."
            a "okay..."
            # the scene changes
            scene bg nurse with dissolve
            show esme
            g "Here, swallow this with water."
            a "Okay...thanks. *gulp*"
            g "Feeling better now?"
            a "Yes. Thanks a lot. I'll be going back to the classroom.."
            a "huh..."
            a "I feel..."
            a "Dizzy...."            
            # the scene changes
            scene bg nurse1 with dissolve
            # the scene changes
            scene bg nurse2 with dissolve
            # the scene changes
            scene bg nurse3 with dissolve
            a "*DROP*"
            play music "dream.mp3"
            # the scene changes
            scene bg darkness with dissolve
            h "Hey! Where have you been? I've been looking for you."
            a "Huh, this time is not my guy of my dreams..it's someone else. Someone else.."
            h "I need your help. I'm making something important. It's my new project. Do you want to see?"
            a "Huh..project?..."
            # the scene changes
            scene bg stairs with dissolve
            h "It's down here. Follow me."
            a "The stairs...where.." 
            #the scene changes
            scene bg light with dissolve
            a "I'm..waking up. Huh?..Why can't I move my body..My hands are.."
            h "Are you awake now?"
            a "Huh?"
            # the scene changes
            scene bg basement
            a "Where am I..What's this place?"
            h "It's the school basement. It's usually locked but I only have acess to it."
            show esme mean
            g "It's our secret!"
            a "....Esme....why?..Why did you strapped me in a chair? Let me Go!!."
            g "It's a problem you can't remeber.Camilla.."
            a "Huh? Who's..Camilla?...."
            h "JANET!! JANET! Where are you?!"
            a "Gasp*....That's..."
            show welsh mean at right
            d "What...what is going on here?!"
            a "Welsh!! Thank God you're here! Please help me out of here!"
            d "Esme...why.."
            g "Welsh..I..just couldn't wait any longer..."
            d "........"
            d "Fine."
            d "Then it's time."
            a "Huh!...Welsh...What's going on?..."
            d "Janet...no..Camilla. Are you ready to...remember?"
            a "What?! Welsh, what are you doing? Take does wires off my head! "
            d "This will help you remember..Camilla."
            a "Stop calling me that!! My name is Janet!!"
            # the scene changes
            scene bg teleport
            a "AHHHHHHHHHHHH!!!!!!"
            # the scene changes
            scene bg darkness with dissolve
            play music "heart.mp3"
            a "Why..am I dreaming at a time like this...Huh? There's someone else here..."
            # the scene changes
            scene bg dream2 with dissolve
            a "Someone..My dream guy. He's here! I can see him.."
            # the scene changes
            scene bg dream1 with dissolve
            a "Huh!?!"
            a "Mr. Ponce."
            # the scene changes
            scene bg light with dissolve
            a "Mr. Ponce...No...."
            a "Russell...."
            # the scene changes
            scene bg basement with dissolve
            play music "torment.mp3"
            show esme at left
            show welsh mean at right
            a "What..happend to me..why do I suddenly remember?"
            a "* Now I see it. Esme..she was my best friend. She's the one who showed me this basement before and her project."
            a "* And...Welsh..No..Gregory, I remeber he looked different. Like a geek with glasses, and he is Esme's brother...and Russell..*"
            a "* He was my boyfriend...We chased after the black cat one day and there was an accident..*"
            d "Glad you're back Camilla. I can't take my revenge if you can't remember what you did."
            a "Revenge?...why?"
            d "Maybe your head can't process all your memories, but one day..you and your stupid boyfriend Russell came to this basement once.."
            d "Esme and Me didn't notice you coming since we were busy on our project."
            g "A time machine. That day, I was testing it, and when it was on.."
            d "YOU PUSHED ME INSIDE. I took you with me and we both travelled to the future."
            a "Oh...I remeber that part but...there's a reason why.."
            d "Shut up!! I was in love with a girl back then, and we were suppost to meet afterschool. I couldnt go..and.."
            d "..She got mugged and killed while waiting for me.."            
            d "If it weren't for you..She wouldn't be...Agh! So I wanted to get my revenge by hurting your love one too."
            d "Since you had no memory, I wanted to make you fall for me infront of Russell, and hurt him."
            d "But this other jerk was a barrier so it got complicated. But now you remember, so I will send you to the future ten more years and let's see if Russell.."
            d "Can wait ten more years for you."
            a "..*No way...Russell waited for me..for ten years. No wonder he was mean to me...he caught me with Winston and Greg..he was jealous..*"
            g "The machine is ready Greg."         
            d "Right. Are you ready Camilla?"
            h "WAIT!!!!!"
            show ponce
            c "I heard everything..your plans..but there's an explanation..Esme...Greg.."
            a "Mr.Ponce...Greg...."
            c "Camilla..I'm glad you remeber me..It was painful for me..waiting ten years and seeing you with other guys..."
            d "Enough! *Pulls gun* You will witness your lovely girl time travel ten more years. Can true love wait that long again?"
            c "Greg, that day..when Camilla and me sneaked into the basement, we saw what you two were doing."
            c "But at that time, there was a cut wire next to you..Camilla notice, and when you were about to step on it..she pushed you in order to protect you."
            c "The wire shocked Camilla instead on her head and while she time travelled..she lost part of her memories..."
            c "So it was all an accident Greg. Please believe me."
            d "......."
            d "That explanation can't return my love to life can it? I don't care what really happend. I want Camilla to lose her love too."
            a "Wait! Don't do it!!"
            d "Esme, put Camilla into the machine."
            # the scene changes
            scene bg portal
            show welsh mean
            g "......"
            d "Esme?.."
            d "*PUSH*"
            g "I'm sorry brother...i've been following your orders and I can't hurt my best friend and Greg any longer."
            g "I'm not sure if it would work..but I'll try to send you back...into the past brother."
            d "NNNOOOOOO!!!!!!"
            # the scene changes
            scene bg portal1
            # the scene changes
            scene bg light
            # the scene changes
            scene bg portal with dissolve
            a ".......He...Greg...he's gone...Did he really travelled to the past?.."
            g "I.....I don't know..."
            g "Oh no!! The machine is over-heated...If we don't get out of here.."
            c "Camilla!! Let me release you from that chair!"
            a "Hurry Russell!!"
            g "It's too late!! The machine..!!!!"
            # the scene changes
            scene bg portal2
            play music "bomb.mp3"
            g "IT'S GOING TO EXPLOTE!!!"
            # the scene changes
            scene bg light with dissolve
            play music "dream.mp3"
            a " Welsh....I mean Greg..You went this far to hurt me..Now that I got my memories back..I remeber the guy of my dreams..but.."
            a "It's Winston who I want.."
            a "I'm sorry Russell.."
            # the scene changes
            scene bg bedroom with dissolve
            play music "morning.mp3"
            a " Huh? Since when did I?...Who took me here?..."
            m "Oh! Janet! I'm glad you're awake! I was getting worried."
            a "Mom?...What happend?..."
            m "Janet...Some man brought you home and you were unconscious.."
            a "......"
            a "Mom...I..My name is not Janet...My name is.."
            a "Camilla.."
            m "So...That's your real name?...."
            a "Huh? What do you mean?"
            m "Sign*"
            m "I wanted to tell you sooner..but...I adopted you..I named you Janet."
            a "What? Then my real parents.."
            m "You have no background record. You might still have no memory of your true family. You were found with no memory..So I.."
            a "*The machine must have droped me unconscious..*"
            m "I took advantage of your memory loss..I'm sorry Jane...Camilla."
            a "It's okay. You are still my mom. I love you."
            m "I love you too."            
            # the scene changes
            scene bg school with dissolve
            a "The school is closed..Could it be because of the explotion?"
            show ponce
            c "Camilla.."
            a "Mr. Ponce.."
            c "I..can we talk?"
            a "Sure...*Oh God...I can't speak well..after remembering everything..my feelings are confusing..*"
            c "As you know..we used to date ten years ago, and I understand if you don't want to continue dating me..someone ten-years older than you."
            a "Ummm...Mr. Ponce."
            a "I remember you as my boyfriend, and my dreams were giving me clues of you..I even had feelings for you in my dreams..but"
            a "...once I wake up, I have no feelings for you. Right now my heart..."
            a "Belongs somewhere else.."
            c "......"
            c "I see."
            c " Camilla...I waited for you..ten years..I got a job here in order to be near you..Even after ten years..I still love you"
            c "But if you can't return my feelings now, then I can't force you to be with me."
            a "Mr. Ponce...Thank you..for waiting for me..and for understanding.."
            c "Goodbye Camilla."
            hide ponce
            a "That was horrible..I felt like a bad person..but I have to be honest with my current feelings."
            a "What should I do? I don't want to go home right now."
            menu:
                "Go to the park.":
                    play music "piano.mp3"
                    a "I guess the park should be around the corner."
                    a "I have alot of thinking to do...like my feelings for Winston."
                    a "Do I like him just because he started being nice to me and showed a softer side?.."
                    a "I rejected Mr. Ponce, the guy of my dreams and my past boyfriend while thinking of Winston.."
                    a "Maybe I do...sort of.."
                    a "Huh.?...."
                    # the scene changes
                    scene bg car with dissolve
                    play music "car.mp3"
                    a "AHHHHHH!!!!!!!"                    
                    a "CRASHHHH..."
                    play music "torment.mp3"
                    # the scene changes
                    scene bg black with dissolve                            
                    a "I....I'm...am I dead?..."
                    # the scene changes
                    scene bg end with dissolve                            
                    a "Goodnight"
                "Go home.":
                    # the scene changes
                    scene bg bedroom with dissolve
                    play music "morning.mp3"
                    a "I'm tired...maybe I should sleep some more."
                    m "Honey?"
                    a "Yes mom?"
                    m "There's someone in the door asking for you."
                    a "Huh? Who could it be?"
                    # the scene changes
                    scene bg yard with dissolve
                    a "Hello?..."
                    show winston
                    play music "piano.mp3"
                    b "Hey...Um..just wanted to drop by..and see if you were okay."
                    a "Winston...*He came here just for that?..*"
                    a "I'm fine. I..wasn't even near the explotion (yeah right), so don't worry."
                    b "....."
                    b" I just...when I heard about the explotion and you were out in the bathroom..I.."
                    b "I just though many bad things..I'm just glad you're fine."
                    a "Winston..Thanks for worrying...*What's with the atmosphere?*"
                    b "Well..I guess you're fine so...I'll be leaving..See you pompous womp."
                    a "Wait...."
                    b "?"
                    a "Don't go just yet..do you want to...stay longer?..."
                    b "......"
                    b "Janet...."
                    b"Do you love me?"
                    a "WHAT??!!! Why would you say that?!"
                    b "Cause you're blushing. I mean..I don't blame you, I am attractive and all of the above."
                    a "Who would fall for you? You are soo concited."
                    b "So no?"
                    a "......"
                    a "....just..shut up.."
                    b "Well if you can't see clearly how much you love me..."
                    # the scene changes
                    scene bg winston2 with dissolve
                    b "I will force you."
                    a "Wait! Winston, don't just.."
                    b "Shut up and let me kiss you."
                    a "*How forceful!! But why...why am I kissing him back?...I can't help it..this animal.*"
                    b "Say it."
                    a "What?"
                    b "Say that you love me."
                    a "....."
                    a "Never.."
                    b "Hmp! Here's another kiss."
                    a "Wait!!"
                    # the scene changes
                    scene bg end with dissolve
                    a "I love you...."
                                    
                    
       
    
    
    return
    
    
